# Training Prov Programs Training Prov Programs ## Creates a new training prov program record that does not already exist. - [POST /trainingProvPrograms/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-prov-programs/createtrainingprovprogram.md): This method will auto-generate an ID and create a new training prov program. If an ID is specified for the training prov program, an error will be thrown. ## Execute Batch Operations - [POST /trainingProvPrograms/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-prov-programs/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified program_id - [GET /trainingProvPrograms/{tenantId}/program/{program_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-prov-programs/listprogramsbyprogramid.md): Returns a list of records with the specified program_id ## Returns a list of records with the specified training_provider_id - [GET /trainingProvPrograms/{tenantId}/trainingProvider/{training_provider_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-prov-programs/listprogramsbytrainingproviderid.md): Returns a list of records with the specified training_provider_id ## Returns a training prov program from the system by its ID. - [DELETE /trainingProvPrograms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-prov-programs/deletetrainingprovprogram.md): This method will delete a training prov program with the specified ID. ## Returns a training prov program from the system by its ID. - [GET /trainingProvPrograms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-prov-programs/gettrainingprovprogram.md): This method will look up a training prov program by the specified ID and return it back. ## Partially updates a training prov program with the specified ID. - [PATCH /trainingProvPrograms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-prov-programs/patchtrainingprovprogram.md): This method will patch an existing training prov program with the specified ID, using the HTTP PATCH specification. ## Updates a training prov program with the specified ID. - [PUT /trainingProvPrograms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-prov-programs/updatetrainingprovprogram.md): This method will update an existing training prov program with the specified ID.